Package org.silverpeas.components.silvercrawler.control

# Class UploadReport

java.lang.Object
org.silverpeas.components.silvercrawler.control.UploadReport

public class UploadReport extends Object
This class is the result of a dragNDrop of folders and path in SilverCrawler.

Author:
  Ludovic Bertin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UploadReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addItem(UploadItem item)`
  `String`
  `displayErrors()`
  `String`
  `displaySuccess()`
  `List<UploadItem>`
  `getItems()`
  `File`
  `getRepositoryPath()`
  `void`
  `incNbCopied()`
  `void`
  `incNbIgnored()`
  `void`
  `incNbReplaced()`
  `boolean`
  `isConflictous()`
  `boolean`
  `isForbiddenFolderDetected()`
  `void`
  `setConflictous(boolean conflictous)`
  `void`
  `setFailed(boolean failed)`
  `void`
  `setForbiddenFolderDetected(boolean forbiddenFolderDetected)`
  `void`
  `setRepositoryPath(File repositoryPath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UploadReport

    public UploadReport()

- ## Method Details

  - ### isForbiddenFolderDetected

    public boolean isForbiddenFolderDetected()
    Returns:
      the forbiddenFolderDetected

  - ### setForbiddenFolderDetected

    public void setForbiddenFolderDetected(boolean forbiddenFolderDetected)
    Parameters:
      `forbiddenFolderDetected` - the forbiddenFolderDetected to set

  - ### incNbCopied

    public void incNbCopied()

  - ### incNbIgnored

    public void incNbIgnored()

  - ### incNbReplaced

    public void incNbReplaced()

  - ### setFailed

    public void setFailed(boolean failed)

  - ### isConflictous

    public boolean isConflictous()

  - ### setConflictous

    public void setConflictous(boolean conflictous)

  - ### getRepositoryPath

    public File getRepositoryPath()

  - ### setRepositoryPath

    public void setRepositoryPath(File repositoryPath)

  - ### getItems

    public List<UploadItem> getItems()

  - ### addItem

    public void addItem(UploadItem item)

  - ### displayErrors

    public String displayErrors()

  - ### displaySuccess

    public String displaySuccess()